#!/usr/bin/python
# -*- coding: iso-8859-1 -*-
#xsetaseta@gmail.com
#https://seta430.000webhostapp.com/
#version para DS1077

import time
import serial
import curses
import os


def main(stdscr):
    """checking for keypress"""
    stdscr.nodelay(True)  # do not wait for input when calling getch
    return stdscr.getch()

def pantalla():
	os.system('clear')		#linux  -Para windows os.system('cls')
	print "*******DS1077*******"
	print "----" + namePort + "----"
	print "********************"
	print "*  F-frecuencia    *"
	print "*  B-frecuen. Base *"
	print "*  Q-Salir         *"
	print "********************"

icomando2=0

#Busqueda de port serial  arduino sensores
puertos=['/dev/ttyUSB0', '/dev/ttyUSB1','/dev/ttyACM0','/dev/ttyACM1','/dev/ttyACM2','/dev/ttyS0' ]
portOK=0;
namePort=""

count = 0
while count < len(puertos):	
	try:
		arduinoPort = serial.Serial(puertos[count], 9600, timeout=1)
	except:
		print "ERROR dispositivo " + puertos[count]
	else:
		print "OK dispositivo " + puertos[count]
		arduinoPort.flushInput()
		print "Clear buffer y espera 1S"
		time.sleep(1)
		DataSerial = arduinoPort.readline()
		print "->" + DataSerial[0:6] + "<-"
		if DataSerial[0:6]=='DS1077':
			print "PORTOK"
			portOK=1
			namePort=puertos[count]
			break						
	count+=1


if portOK==0:
	print "No se encontro DS1077"	
else:
	miComando="frec "+ str(10000) + "\n"
	pantalla()
	arduinoPort.write(miComando)
	mensaje=" "
	while True:
		tecla=curses.wrapper(main)
		if tecla==97 or tecla==65:
			print "tecla a"
			pantalla()
			arduinoPort.write("DS1077\n")
		if tecla==76 or tecla==108:
			print "tecla l"
			pantalla()
			arduinoPort.write("list\n")
		if tecla==70 or tecla==102:
			pantalla()
			dato = int(input("Introduce frecuencia Hz: "))
			miComando="frec "+ str(dato) + "\n"
			pantalla()
			arduinoPort.write(miComando)
		if tecla==66 or tecla==98:
			pantalla()
			dato = int(input("Introduce frecuencia base KHz: "))
			miComando="freb "+ str(dato) + "\n"
			pantalla()
			arduinoPort.write(miComando)
		if tecla==113 or tecla==81:
			break
			
			
		DataSerial = arduinoPort.readline()
		if DataSerial!= "":
			print '%s' % (DataSerial[0:-1])
			separadas=DataSerial.split('=')

		
try:
	arduinoPort.close()
except:
	print "Puerto no abierto"
print "Programa finalizado"				


